Service Charge

This API will fetch the charges applicable for the transaction.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParametersRequirementDescription
countryMandatoryIt will be Nepal
paymentModeMandatoryIt will be Account Deposit or Cash Payment
transferAmountMandatoryAmount to be transferred
(In INR)
payoutAmountOptionalAmount to be received by the beneficiary
(In NPR)
bankBranchIdOptional
(Mandatory when paymentMode is Account Deposit)
Bank Branch Id
remitterMobileMandatoryRemitter Mobile Number
beneficiaryIdOptional (Mandatory when paymentMode is Account Deposit)Beneficiary Id

Sample Request

GET /fi/remit/out/nepal/serviceCharge HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: 14.142.186.14
X-Ipay-Outlet-Id: {{outletId}}
Content-Type: application/json
Content-Length: 141

{
    "country": "Nepal",
    "paymentMode": "Account Deposit",
    "transferAmount": "",
    "payoutAmount": "200",
    "bankBranchId": "",
		"remitterMobile":"7428585742",
    "beneficiaryId":"1023753"
}
curl --location --request GET 'https://api.instantpay.in/fi/remit/out/nepal/serviceCharge' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.14' \
--header 'X-Ipay-Outlet-Id: {{outletId}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "country": "Nepal",
    "paymentMode": "Account Deposit",
    "transferAmount": "",
    "payoutAmount": "200",
    "bankBranchId": "",
		"remitterMobile":"7428585742",
    "beneficiaryId":"1023753",
}'

Response Parameters

Parameters NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data (If Present)
timestampStringResponse time (YYYY-MM-DD HH:MM:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
enviromentStringLive/Sandbox

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "transferAmount": "49800",
        "serviceCharge": "199",
        "collectionAmount": "49999",
        "collectionCurrency": "INR",
        "exchangeRate": "1.6",
        "payoutAmount": "79680",
        "payoutCurrency": "NPR"
    },
    "timestamp": "2022-10-11 15:31:41",
    "ipay_uuid": "h00597798947-15db-4434-a80b-03f60b2979ec",
    "orderid": null,
    "environment": "LIVE",
    "internalCode": null
}
📘

Info :

For API Headers Click Here

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json